import{s as Cn,f as ye,o as bn}from"../chunks/scheduler.f6b352c8.js";import{S as _n,i as An,g as a,s as i,r as f,A as kn,h as o,f as n,c as l,j as yn,u as g,x as r,k as p,y as Hn,a as s,v as u,d as h,t as c,w as v,m as In,n as Pn}from"../chunks/index.7f38e934.js";import{T as jn}from"../chunks/Tip.ae532637.js";import{C as Ln}from"../chunks/CodeBlock.2a338b68.js";import{H as w}from"../chunks/Heading.333929c4.js";import{E as qn}from"../chunks/EditOnGithub.c3245a01.js";function Wn(Ce){let m;return{c(){m=In("It's also possible to use models of different modalities as an Agent's core. For example,  a Vision Language Model (VLM), which is like an LLM but also understands images as input. We'll focus on LLMs for now and will discuss other options later.")},l(d){m=Pn(d,"It's also possible to use models of different modalities as an Agent's core. For example,  a Vision Language Model (VLM), which is like an LLM but also understands images as input. We'll focus on LLMs for now and will discuss other options later.")},m(d,x){s(d,m,x)},d(d){d&&n(m)}}}function Gn(Ce){let m,d,x,be,T,_e,M,It,Ae,y,Pt="Let’s first understand <strong>what an Agent is</strong>.",ke,L,jt="Then, by the end of this section, you’ll feel comfortable with the concept of agents and their various applications in AI.",He,C,qt="To explain what is an Agent, let’s start with an analogy.",Ie,b,Pe,_,Wt="Meet Alfred. Alfred is an <strong>Agent</strong>.",je,A,Gt,qe,k,Bt="Imagine Alfred receives a command, such as: “Alfred, I would like a coffee please.”",We,H,Jt,Ge,I,zt="Because Alfred <strong>understands natural language</strong>, he quickly grasps our request.",Be,P,Et="Before fulfilling the order, Alfred engages in <strong>reasoning and planning</strong>, figuring out the steps and tools he needs to:",Je,j,Ut="<li>Go to the kitchen</li> <li>Use the coffee machine</li> <li>Brew the coffee</li> <li>Bring the coffee back</li>",ze,q,Vt,Ee,W,Zt="Once he has a plan, he <strong>must act</strong>. To execute his plan, <strong>he can use tools from the list of tools he knows about</strong>. In this case, to make a coffee, he uses a coffee machine. He activates the coffee machine to brew the coffee.",Ue,G,Nt,Ve,B,St="Finally, Alfred brings the freshly brewed coffee to us.",Ze,J,Ft,Ne,z,Rt="And this is what an Agent is: an <strong>AI model capable of reasoning, planning, and interacting with its environment</strong>.",Se,E,Xt="We call it Agent because it has <em>agency</em>, aka it has the ability to interact with the environment.",Fe,U,Yt,Re,V,Xe,Z,Ot="Now that you have the big picture, here’s a more precise definition:",Ye,N,Kt="<p>An Agent is a system that leverages an AI model to interact with its environment in order to achieve a user-defined objective. It combines reasoning, planning, and the execution of actions (often via external tools) to fulfill tasks.</p>",Oe,S,Qt="You can think of the LLM model as the <strong>brain of the agent</strong> and the framework as the <strong>remaining body parts</strong>:",Ke,F,Dt="<li><p>The <strong>AI model</strong> performs the reasoning and generates <strong>Actions</strong> to execute.</p></li> <li><p>The <strong>scope of possible actions</strong> depends on what the agent <strong>has been equipped with</strong>: it’s like a human by not having “wings” can’t execute the “fly” <strong>Action</strong>, while it is possible to execute <strong>Actions</strong> “walk”, “run” ,“jump”, “grab”, and so on.</p></li>",Qe,R,De,X,en="The most common AI model found in Agents is an LLM (Large Language Model), which  takes <strong>Text</strong> as an input and outputs <strong>Text</strong>.",et,Y,tn='Well known examples are <strong>GPT4</strong> from <strong>OpenAI</strong>, <strong>LLama</strong> from <strong>meta</strong>, <strong>Gemini</strong> from <strong>Google</strong>, etc. Those models have been trained on a vast amount of text and are able to generalize well. We will learn more about LLMs in <a href="what-are-llms">the next section</a>.',tt,$,nt,O,st,K,nn="LLMs are amazing models, but <strong>they can only generate text</strong>.",it,Q,sn="LLMs can only generate amazing text but lack the ability to generate images. However, if you ask a well-known chat application like HuggingChat or ChatGPT to generate an Image, they can! How is that possible?",lt,D,ln="The answer is that the developers of those applications implemented additional functionality (called <strong>Tools</strong>), that the LLM can use to create images.",at,ee,an='<img src="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit1/eiffel_brocolis.jpg" alt="Eiffel Brocolis"/> <figcaption>The model used an Image Generation Tool to generate this image.</figcaption>',ot,te,on='We will learn more about tools in the <a href="tools">Tools</a> section.',rt,ne,pt,se,rn="An Agent can perform any task that we can implement in <strong>Tools</strong> to perform <strong>Actions</strong>.",mt,ie,pn="For example, if I write an Agent to act as my personal assistant (like Siri) on my computer, and I ask it to “send an email to my Manager asking to delay today’s meeting”, I can give it some code to send emails. This will be a new Tool the Agent can use whenever it needs to send an email. We can write it in Python:",ft,le,gt,ae,mn="The LLM, as we’ll see, will generate code to run the tool when it needs to, and thus fulfill the desired task.",ut,oe,ht,re,fn="The <strong>design of the Tools is very important and has a great impact on the quality of your Agent</strong>. Some tasks will require very specific tools to be crafted, while others may be solved with general purpose tools like “web_search”.",ct,pe,gn="Note that <strong>Actions are not the same as Tools</strong>. An Action, for instance, can involve the use of multiple Tools to complete.",vt,me,un="Allowing an agent to interact with its environment allows real-life scenarios for companies and individuals.",dt,fe,wt,ge,hn="Virtual assistants like Siri, Alexa, or Google Assistant, work as agents when they interact on behalf of users using their digital environments.",$t,ue,cn="They take user queries, analyze context, retrieve information from databases, and provide responses or initiate actions (like setting reminders, sending messages, or controlling smart devices).",xt,he,Tt,ce,vn="Many companies deploy chatbots as agents that interact with customers in natural language. These agents can answer questions, guide users through troubleshooting steps, open issues in internal databases, or even complete transactions.",Mt,ve,dn="Their predefined objectives might include improving user satisfaction, reducing wait times, or increasing sales conversion rates. By interacting directly with customers, learning from the dialogues, and adapting their responses over time, they demonstrate the core principles of an agent in action.",yt,de,Lt,we,wn="AI agents powered by LLMs can make Non-Playable Characters (NPC) more dynamic and unpredictable. Instead of following rigid behavior trees, they can respond contextually, adapt to player interactions, and generate more nuanced dialogue. This flexibility helps create more lifelike, engaging characters that evolve alongside the player’s actions.",Ct,$e,$n="To summarize, an Agent is a system that uses an AI Model (typically a LLM) as its core reasoning engine, to:",bt,xe,xn="<li><p><strong>Understand natural language:</strong>  Interpret and respond to human instructions in a meaningful way.</p></li> <li><p><strong>Reason and plan:</strong> Analyze information, make decisions, and devise strategies to solve problems.</p></li> <li><p><strong>Interact with its environment:</strong>  Gather information, take actions, and observe the results of those actions.</p></li>",_t,Te,Tn='Now that you have a solid grasp of what Agents are, let’s reinforce your understanding with a short, ungraded quiz. After that, we’ll dive into the “Agent’s brain”: the <a href="what-are-llms">LLMs</a>.',At,Me,kt,Le,Ht;return T=new w({props:{title:"What is an Agent?",local:"what-is-an-agent",headingTag:"h1"}}),b=new w({props:{title:"The Big Picture: Alfred The Agent",local:"the-big-picture-alfred-the-agent",headingTag:"h2"}}),V=new w({props:{title:"Let’s go more formal",local:"lets-go-more-formal",headingTag:"h2"}}),R=new w({props:{title:"What type of AI Models do we use for Agents?",local:"what-type-of-ai-models-do-we-use-for-agents",headingTag:"h2"}}),$=new jn({props:{$$slots:{default:[Wn]},$$scope:{ctx:Ce}}}),O=new w({props:{title:"How does an AI take action on its environment ?",local:"how-does-an-ai-take-action-on-its-environment-",headingTag:"h2"}}),ne=new w({props:{title:"What type of tasks can an Agent do?",local:"what-type-of-tasks-can-an-agent-do",headingTag:"h2"}}),le=new Ln({props:{code:"ZGVmJTIwc2VuZF9tZXNzYWdlX3RvKHJlY2lwaWVudCUyQyUyMG1lc3NhZ2UpJTNBJTBBJTIwJTIwJTIwJTIwJTIyJTIyJTIyVXNlZnVsJTIwdG8lMjBzZW5kJTIwYW4lMjBlLW1haWwlMjBtZXNzYWdlJTIwdG8lMjBhJTIwcmVjaXBpZW50JTIyJTIyJTIy",highlighted:`<span class="hljs-keyword">def</span> <span class="hljs-title function_">send_message_to</span>(<span class="hljs-params">recipient, message</span>):
    <span class="hljs-string">&quot;&quot;&quot;Useful to send an e-mail message to a recipient&quot;&quot;&quot;</span>`,wrap:!1}}),oe=new Ln({props:{code:"c2VuZF9tZXNzYWdlX3RvKCUyMk1hbmFnZXIlMjIlMkMlMjAlMjJDYW4lMjB3ZSUyMHBvc3RvcG9uZSUyMHRvZGF5J3MlMjBtZWV0aW5nJTNGJTIyKQ==",highlighted:'send_message_to(<span class="hljs-string">&quot;Manager&quot;</span>, <span class="hljs-string">&quot;Can we postopone today&#x27;s meeting?&quot;</span>)',wrap:!1}}),fe=new w({props:{title:"Example 1: Personal Virtual Assistants",local:"example-1-personal-virtual-assistants",headingTag:"h3"}}),he=new w({props:{title:"Example 2: Customer Service Chatbots",local:"example-2-customer-service-chatbots",headingTag:"h3"}}),de=new w({props:{title:"Example 3: AI Non-Playable Character in a video game",local:"example-3-ai-non-playable-character-in-a-video-game",headingTag:"h3"}}),Me=new qn({props:{source:"https://github.com/huggingface/agents-course/blob/main/units/en/unit1/what-are-agents.mdx"}}),{c(){m=a("meta"),d=i(),x=a("p"),be=i(),f(T.$$.fragment),_e=i(),M=a("img"),Ae=i(),y=a("p"),y.innerHTML=Pt,ke=i(),L=a("p"),L.textContent=jt,He=i(),C=a("p"),C.textContent=qt,Ie=i(),f(b.$$.fragment),Pe=i(),_=a("p"),_.innerHTML=Wt,je=i(),A=a("img"),qe=i(),k=a("p"),k.textContent=Bt,We=i(),H=a("img"),Ge=i(),I=a("p"),I.innerHTML=zt,Be=i(),P=a("p"),P.innerHTML=Et,Je=i(),j=a("ol"),j.innerHTML=Ut,ze=i(),q=a("img"),Ee=i(),W=a("p"),W.innerHTML=Zt,Ue=i(),G=a("img"),Ve=i(),B=a("p"),B.textContent=St,Ze=i(),J=a("img"),Ne=i(),z=a("p"),z.innerHTML=Rt,Se=i(),E=a("p"),E.innerHTML=Xt,Fe=i(),U=a("img"),Re=i(),f(V.$$.fragment),Xe=i(),Z=a("p"),Z.textContent=Ot,Ye=i(),N=a("blockquote"),N.innerHTML=Kt,Oe=i(),S=a("p"),S.innerHTML=Qt,Ke=i(),F=a("ul"),F.innerHTML=Dt,Qe=i(),f(R.$$.fragment),De=i(),X=a("p"),X.innerHTML=en,et=i(),Y=a("p"),Y.innerHTML=tn,tt=i(),f($.$$.fragment),nt=i(),f(O.$$.fragment),st=i(),K=a("p"),K.innerHTML=nn,it=i(),Q=a("p"),Q.textContent=sn,lt=i(),D=a("p"),D.innerHTML=ln,at=i(),ee=a("figure"),ee.innerHTML=an,ot=i(),te=a("p"),te.innerHTML=on,rt=i(),f(ne.$$.fragment),pt=i(),se=a("p"),se.innerHTML=rn,mt=i(),ie=a("p"),ie.textContent=pn,ft=i(),f(le.$$.fragment),gt=i(),ae=a("p"),ae.textContent=mn,ut=i(),f(oe.$$.fragment),ht=i(),re=a("p"),re.innerHTML=fn,ct=i(),pe=a("p"),pe.innerHTML=gn,vt=i(),me=a("p"),me.textContent=un,dt=i(),f(fe.$$.fragment),wt=i(),ge=a("p"),ge.textContent=hn,$t=i(),ue=a("p"),ue.textContent=cn,xt=i(),f(he.$$.fragment),Tt=i(),ce=a("p"),ce.textContent=vn,Mt=i(),ve=a("p"),ve.textContent=dn,yt=i(),f(de.$$.fragment),Lt=i(),we=a("p"),we.textContent=wn,Ct=i(),$e=a("p"),$e.textContent=$n,bt=i(),xe=a("ul"),xe.innerHTML=xn,_t=i(),Te=a("p"),Te.innerHTML=Tn,At=i(),f(Me.$$.fragment),kt=i(),Le=a("p"),this.h()},l(e){const t=kn("svelte-u9bgzb",document.head);m=o(t,"META",{name:!0,content:!0}),t.forEach(n),d=l(e),x=o(e,"P",{}),yn(x).forEach(n),be=l(e),g(T.$$.fragment,e),_e=l(e),M=o(e,"IMG",{src:!0,alt:!0}),Ae=l(e),y=o(e,"P",{"data-svelte-h":!0}),r(y)!=="svelte-rocmz4"&&(y.innerHTML=Pt),ke=l(e),L=o(e,"P",{"data-svelte-h":!0}),r(L)!=="svelte-1v8le9a"&&(L.textContent=jt),He=l(e),C=o(e,"P",{"data-svelte-h":!0}),r(C)!=="svelte-1a6j813"&&(C.textContent=qt),Ie=l(e),g(b.$$.fragment,e),Pe=l(e),_=o(e,"P",{"data-svelte-h":!0}),r(_)!=="svelte-1b93926"&&(_.innerHTML=Wt),je=l(e),A=o(e,"IMG",{src:!0,alt:!0}),qe=l(e),k=o(e,"P",{"data-svelte-h":!0}),r(k)!=="svelte-oqf8eg"&&(k.textContent=Bt),We=l(e),H=o(e,"IMG",{src:!0,alt:!0}),Ge=l(e),I=o(e,"P",{"data-svelte-h":!0}),r(I)!=="svelte-1vfpoib"&&(I.innerHTML=zt),Be=l(e),P=o(e,"P",{"data-svelte-h":!0}),r(P)!=="svelte-129qhbs"&&(P.innerHTML=Et),Je=l(e),j=o(e,"OL",{"data-svelte-h":!0}),r(j)!=="svelte-1qza0to"&&(j.innerHTML=Ut),ze=l(e),q=o(e,"IMG",{src:!0,alt:!0}),Ee=l(e),W=o(e,"P",{"data-svelte-h":!0}),r(W)!=="svelte-gt6qr2"&&(W.innerHTML=Zt),Ue=l(e),G=o(e,"IMG",{src:!0,alt:!0}),Ve=l(e),B=o(e,"P",{"data-svelte-h":!0}),r(B)!=="svelte-7vbcn2"&&(B.textContent=St),Ze=l(e),J=o(e,"IMG",{src:!0,alt:!0}),Ne=l(e),z=o(e,"P",{"data-svelte-h":!0}),r(z)!=="svelte-oqpk4a"&&(z.innerHTML=Rt),Se=l(e),E=o(e,"P",{"data-svelte-h":!0}),r(E)!=="svelte-wcohvf"&&(E.innerHTML=Xt),Fe=l(e),U=o(e,"IMG",{src:!0,alt:!0}),Re=l(e),g(V.$$.fragment,e),Xe=l(e),Z=o(e,"P",{"data-svelte-h":!0}),r(Z)!=="svelte-1xioahh"&&(Z.textContent=Ot),Ye=l(e),N=o(e,"BLOCKQUOTE",{"data-svelte-h":!0}),r(N)!=="svelte-bqnsze"&&(N.innerHTML=Kt),Oe=l(e),S=o(e,"P",{"data-svelte-h":!0}),r(S)!=="svelte-1uzm2fe"&&(S.innerHTML=Qt),Ke=l(e),F=o(e,"UL",{"data-svelte-h":!0}),r(F)!=="svelte-hcylor"&&(F.innerHTML=Dt),Qe=l(e),g(R.$$.fragment,e),De=l(e),X=o(e,"P",{"data-svelte-h":!0}),r(X)!=="svelte-1jalouf"&&(X.innerHTML=en),et=l(e),Y=o(e,"P",{"data-svelte-h":!0}),r(Y)!=="svelte-1ddi14i"&&(Y.innerHTML=tn),tt=l(e),g($.$$.fragment,e),nt=l(e),g(O.$$.fragment,e),st=l(e),K=o(e,"P",{"data-svelte-h":!0}),r(K)!=="svelte-1icipy1"&&(K.innerHTML=nn),it=l(e),Q=o(e,"P",{"data-svelte-h":!0}),r(Q)!=="svelte-gqw3dg"&&(Q.textContent=sn),lt=l(e),D=o(e,"P",{"data-svelte-h":!0}),r(D)!=="svelte-vg3a1c"&&(D.innerHTML=ln),at=l(e),ee=o(e,"FIGURE",{"data-svelte-h":!0}),r(ee)!=="svelte-lgjug2"&&(ee.innerHTML=an),ot=l(e),te=o(e,"P",{"data-svelte-h":!0}),r(te)!=="svelte-ky9yyh"&&(te.innerHTML=on),rt=l(e),g(ne.$$.fragment,e),pt=l(e),se=o(e,"P",{"data-svelte-h":!0}),r(se)!=="svelte-8lvapn"&&(se.innerHTML=rn),mt=l(e),ie=o(e,"P",{"data-svelte-h":!0}),r(ie)!=="svelte-1ffg8zo"&&(ie.textContent=pn),ft=l(e),g(le.$$.fragment,e),gt=l(e),ae=o(e,"P",{"data-svelte-h":!0}),r(ae)!=="svelte-1d3qiev"&&(ae.textContent=mn),ut=l(e),g(oe.$$.fragment,e),ht=l(e),re=o(e,"P",{"data-svelte-h":!0}),r(re)!=="svelte-gzgfue"&&(re.innerHTML=fn),ct=l(e),pe=o(e,"P",{"data-svelte-h":!0}),r(pe)!=="svelte-1hwe8be"&&(pe.innerHTML=gn),vt=l(e),me=o(e,"P",{"data-svelte-h":!0}),r(me)!=="svelte-11g7tzw"&&(me.textContent=un),dt=l(e),g(fe.$$.fragment,e),wt=l(e),ge=o(e,"P",{"data-svelte-h":!0}),r(ge)!=="svelte-1nwemo6"&&(ge.textContent=hn),$t=l(e),ue=o(e,"P",{"data-svelte-h":!0}),r(ue)!=="svelte-4zesrr"&&(ue.textContent=cn),xt=l(e),g(he.$$.fragment,e),Tt=l(e),ce=o(e,"P",{"data-svelte-h":!0}),r(ce)!=="svelte-1h7hnqi"&&(ce.textContent=vn),Mt=l(e),ve=o(e,"P",{"data-svelte-h":!0}),r(ve)!=="svelte-19f1pt9"&&(ve.textContent=dn),yt=l(e),g(de.$$.fragment,e),Lt=l(e),we=o(e,"P",{"data-svelte-h":!0}),r(we)!=="svelte-b8dg5j"&&(we.textContent=wn),Ct=l(e),$e=o(e,"P",{"data-svelte-h":!0}),r($e)!=="svelte-1jkxgi1"&&($e.textContent=$n),bt=l(e),xe=o(e,"UL",{"data-svelte-h":!0}),r(xe)!=="svelte-pbwsej"&&(xe.innerHTML=xn),_t=l(e),Te=o(e,"P",{"data-svelte-h":!0}),r(Te)!=="svelte-100r7p0"&&(Te.innerHTML=Tn),At=l(e),g(Me.$$.fragment,e),kt=l(e),Le=o(e,"P",{}),yn(Le).forEach(n),this.h()},h(){p(m,"name","hf:doc:metadata"),p(m,"content",Bn),ye(M.src,It="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit1/whiteboard-no-check.jpg")||p(M,"src",It),p(M,"alt","Unit 1 planning"),ye(A.src,Gt="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit1/this-is-alfred.jpg")||p(A,"src",Gt),p(A,"alt","This is Alfred"),ye(H.src,Jt="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit1/coffee-please.jpg")||p(H,"src",Jt),p(H,"alt","I would like a coffee"),ye(q.src,Vt="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit1/reason-and-plan.jpg")||p(q,"src",Vt),p(q,"alt","Reason and plan"),ye(G.src,Nt="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit1/make-coffee.jpg")||p(G,"src",Nt),p(G,"alt","Make coffee"),ye(J.src,Ft="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit1/bring-coffee.jpg")||p(J,"src",Ft),p(J,"alt","Bring coffee"),ye(U.src,Yt="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit1/process.jpg")||p(U,"src",Yt),p(U,"alt","Agent process")},m(e,t){Hn(document.head,m),s(e,d,t),s(e,x,t),s(e,be,t),u(T,e,t),s(e,_e,t),s(e,M,t),s(e,Ae,t),s(e,y,t),s(e,ke,t),s(e,L,t),s(e,He,t),s(e,C,t),s(e,Ie,t),u(b,e,t),s(e,Pe,t),s(e,_,t),s(e,je,t),s(e,A,t),s(e,qe,t),s(e,k,t),s(e,We,t),s(e,H,t),s(e,Ge,t),s(e,I,t),s(e,Be,t),s(e,P,t),s(e,Je,t),s(e,j,t),s(e,ze,t),s(e,q,t),s(e,Ee,t),s(e,W,t),s(e,Ue,t),s(e,G,t),s(e,Ve,t),s(e,B,t),s(e,Ze,t),s(e,J,t),s(e,Ne,t),s(e,z,t),s(e,Se,t),s(e,E,t),s(e,Fe,t),s(e,U,t),s(e,Re,t),u(V,e,t),s(e,Xe,t),s(e,Z,t),s(e,Ye,t),s(e,N,t),s(e,Oe,t),s(e,S,t),s(e,Ke,t),s(e,F,t),s(e,Qe,t),u(R,e,t),s(e,De,t),s(e,X,t),s(e,et,t),s(e,Y,t),s(e,tt,t),u($,e,t),s(e,nt,t),u(O,e,t),s(e,st,t),s(e,K,t),s(e,it,t),s(e,Q,t),s(e,lt,t),s(e,D,t),s(e,at,t),s(e,ee,t),s(e,ot,t),s(e,te,t),s(e,rt,t),u(ne,e,t),s(e,pt,t),s(e,se,t),s(e,mt,t),s(e,ie,t),s(e,ft,t),u(le,e,t),s(e,gt,t),s(e,ae,t),s(e,ut,t),u(oe,e,t),s(e,ht,t),s(e,re,t),s(e,ct,t),s(e,pe,t),s(e,vt,t),s(e,me,t),s(e,dt,t),u(fe,e,t),s(e,wt,t),s(e,ge,t),s(e,$t,t),s(e,ue,t),s(e,xt,t),u(he,e,t),s(e,Tt,t),s(e,ce,t),s(e,Mt,t),s(e,ve,t),s(e,yt,t),u(de,e,t),s(e,Lt,t),s(e,we,t),s(e,Ct,t),s(e,$e,t),s(e,bt,t),s(e,xe,t),s(e,_t,t),s(e,Te,t),s(e,At,t),u(Me,e,t),s(e,kt,t),s(e,Le,t),Ht=!0},p(e,[t]){const Mn={};t&2&&(Mn.$$scope={dirty:t,ctx:e}),$.$set(Mn)},i(e){Ht||(h(T.$$.fragment,e),h(b.$$.fragment,e),h(V.$$.fragment,e),h(R.$$.fragment,e),h($.$$.fragment,e),h(O.$$.fragment,e),h(ne.$$.fragment,e),h(le.$$.fragment,e),h(oe.$$.fragment,e),h(fe.$$.fragment,e),h(he.$$.fragment,e),h(de.$$.fragment,e),h(Me.$$.fragment,e),Ht=!0)},o(e){c(T.$$.fragment,e),c(b.$$.fragment,e),c(V.$$.fragment,e),c(R.$$.fragment,e),c($.$$.fragment,e),c(O.$$.fragment,e),c(ne.$$.fragment,e),c(le.$$.fragment,e),c(oe.$$.fragment,e),c(fe.$$.fragment,e),c(he.$$.fragment,e),c(de.$$.fragment,e),c(Me.$$.fragment,e),Ht=!1},d(e){e&&(n(d),n(x),n(be),n(_e),n(M),n(Ae),n(y),n(ke),n(L),n(He),n(C),n(Ie),n(Pe),n(_),n(je),n(A),n(qe),n(k),n(We),n(H),n(Ge),n(I),n(Be),n(P),n(Je),n(j),n(ze),n(q),n(Ee),n(W),n(Ue),n(G),n(Ve),n(B),n(Ze),n(J),n(Ne),n(z),n(Se),n(E),n(Fe),n(U),n(Re),n(Xe),n(Z),n(Ye),n(N),n(Oe),n(S),n(Ke),n(F),n(Qe),n(De),n(X),n(et),n(Y),n(tt),n(nt),n(st),n(K),n(it),n(Q),n(lt),n(D),n(at),n(ee),n(ot),n(te),n(rt),n(pt),n(se),n(mt),n(ie),n(ft),n(gt),n(ae),n(ut),n(ht),n(re),n(ct),n(pe),n(vt),n(me),n(dt),n(wt),n(ge),n($t),n(ue),n(xt),n(Tt),n(ce),n(Mt),n(ve),n(yt),n(Lt),n(we),n(Ct),n($e),n(bt),n(xe),n(_t),n(Te),n(At),n(kt),n(Le)),n(m),v(T,e),v(b,e),v(V,e),v(R,e),v($,e),v(O,e),v(ne,e),v(le,e),v(oe,e),v(fe,e),v(he,e),v(de,e),v(Me,e)}}}const Bn='{"title":"What is an Agent?","local":"what-is-an-agent","sections":[{"title":"The Big Picture: Alfred The Agent","local":"the-big-picture-alfred-the-agent","sections":[],"depth":2},{"title":"Let’s go more formal","local":"lets-go-more-formal","sections":[],"depth":2},{"title":"What type of AI Models do we use for Agents?","local":"what-type-of-ai-models-do-we-use-for-agents","sections":[],"depth":2},{"title":"How does an AI take action on its environment ?","local":"how-does-an-ai-take-action-on-its-environment-","sections":[],"depth":2},{"title":"What type of tasks can an Agent do?","local":"what-type-of-tasks-can-an-agent-do","sections":[{"title":"Example 1: Personal Virtual Assistants","local":"example-1-personal-virtual-assistants","sections":[],"depth":3},{"title":"Example 2: Customer Service Chatbots","local":"example-2-customer-service-chatbots","sections":[],"depth":3},{"title":"Example 3: AI Non-Playable Character in a video game","local":"example-3-ai-non-playable-character-in-a-video-game","sections":[],"depth":3}],"depth":2}],"depth":1}';function Jn(Ce){return bn(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Sn extends _n{constructor(m){super(),An(this,m,Jn,Gn,Cn,{})}}export{Sn as component};
