import{s as yn,f as Me,n as kn,o as Hn}from"../chunks/scheduler.f6b352c8.js";import{S as Pn,i as An,g as o,s as l,r as m,m as En,A as In,h as r,f as n,c as s,j as Ce,u as f,x as a,n as qn,k as u,y as Fn,a as i,v as c,d as v,t as L,w}from"../chunks/index.7f38e934.js";import{H as b}from"../chunks/Heading.333929c4.js";import{E as Sn}from"../chunks/EditOnGithub.c3245a01.js";function Gn(At){let g,_e,Te,$e,C,ye,_,Et,ke,$,It="As we learned in the previous section, each Agent needs <strong>an AI Model at its core</strong>, and the most common AI model for those are Large Language Models (LLMs).",He,y,qt="Therefore, we need now to understand what are LLMs and how they power Agents.",Pe,k,Ft='This section offers a concise technical explanation but if you’re <strong>really not yet familiar with LLMs</strong>, you should check first our <a href="https://huggingface.co/learn/nlp-course/chapter1/1" rel="nofollow">free Natural Language Processing Course</a>.',Ae,H,Ee,P,St="A Large Language Model is a type of AI model that excels at <strong>understanding and generating human language</strong>. They are trained on vast amounts of text data, allowing them to learn patterns, nuances, and structure in language. These models typically consist of billions of parameters.",Ie,A,Gt="Most LLMs are <strong>built on the Transformer architecture</strong>—a deep learning framework that has gained significant interest since the release of BERT from Google in 2018.",qe,E,zt='<img src="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit1/transformer.jpg" alt="Transformer"/> <figcaption>The original Transformer architecture looked like this, with the encoder on the left and the decoder on the right.</figcaption>',Fe,I,Rt="There are 3 types of transformers :",Se,q,jt=`<li><p><strong>Encoders</strong><br/>
An encoder-based Transformer takes text (or other data) as input and outputs a dense representation (or embedding) of that text.</p> <ul><li><strong>Example</strong>: BERT from Google</li> <li><strong>Use Cases</strong>: Text classification, semantic search, Named Entity Recognition</li> <li><strong>Typical Size</strong>: Millions of parameters</li></ul></li> <li><p><strong>Decoders</strong><br/>
A decoder-based Transformer focuses <strong>on generating new tokens to complete a sequence, token by token</strong>.</p> <ul><li><strong>Example</strong>: LLaMA from meta</li> <li><strong>Use Cases</strong>: Text generation, chatbots, code generation</li> <li><strong>Typical Size</strong>: Billions of parameters</li></ul></li> <li><p><strong>Seq2Seq (Encoder–Decoder)</strong><br/>
A sequence-to-sequence Transformer <em>combines</em> an encoder and a decoder. The encoder first processes the input sequence into a context representation, then the decoder generates an output sequence.</p> <ul><li><strong>Example</strong>: T5, BART,</li> <li><strong>Use Cases</strong>:  Translation, Summarization, Paraphrasing</li> <li><strong>Typical Size</strong>: Millions of parameters</li></ul></li>`,Ge,F,Ot="Although Large Language Models come in various forms, most people think of LLMs as decoder-based models with billions of parameters. Here are some of the most well-known LLMs:",ze,S,Ut="<thead><tr><th><strong>Model</strong></th> <th><strong>Provider</strong></th></tr></thead> <tbody><tr><td><strong>GPT4</strong></td> <td>OpenAI</td></tr> <tr><td><strong>LLaMA3</strong></td> <td>Meta (Facebook AI Research)</td></tr> <tr><td><strong>Deepseek-R1</strong></td> <td>DeepSeek</td></tr> <tr><td><strong>SmollLM2</strong></td> <td>Hugging Face</td></tr> <tr><td><strong>Gemma</strong></td> <td>Google</td></tr> <tr><td><strong>Mistral</strong></td> <td>Mistral</td></tr></tbody>",Re,G,Wt="The underlying principle of an LLM is simple yet highly effective: <strong>its objective is to predict the next token in a sequence</strong>. We use the term “token” rather than “word” because not every token corresponds to a whole word.",je,z,Bt="For example, while English has an estimated 600,000 words, an LLM might have a vocabulary of around 32,000 tokens (as is the case with LLaMA 2). This tokenization often works on sub-word units.",Oe,R,Dt="For instance, consider how the tokens “interest” and “##ing” can be combined to form “interesting” or “##ed” can be appended to form “interested.”",Ue,j,Nt="You can experiment with different tokenizers in the interactive playground below:",We,d,Vt,Be,O,Yt="Each LLM has some <strong>special tokens</strong> specific to the model. The most important of those special token is the <strong>End of sequence token</strong> (EOS).",De,U,Jt="<thead><tr><th><strong>Model</strong></th> <th><strong>Provider</strong></th> <th><strong>EOS Token</strong></th></tr></thead> <tbody><tr><td><strong>GPT4</strong></td> <td>OpenAI</td> <td><code>&lt;\\|endoftext\\|&gt;</code></td></tr> <tr><td><strong>LLaMA3</strong></td> <td>Meta (Facebook AI Research)</td> <td><code>&lt;\\|eot_id\\|&gt;</code></td></tr> <tr><td><strong>Deepseek-R1</strong></td> <td>DeepSeek</td> <td><code>&lt;｜end▁of▁sentence｜&gt;</code></td></tr> <tr><td><strong>SmollLM2</strong></td> <td>Hugging Face</td> <td><code>&lt;\\|im_end\\|&gt;</code></td></tr> <tr><td><strong>Gemma</strong></td> <td>Google</td> <td><code>&lt;end_of_turn&gt;</code></td></tr> <tr><td><strong>Mistral</strong></td> <td>Mistral</td> <td><code>[/INST]</code></td></tr></tbody>",Ne,W,Ve,B,Kt="LLMs are said to be <strong>autoregressive</strong>, meaning that <strong>the output from one pass becomes the input for the next one</strong>. This loop continues until the model predicts the next token to be the EOS token, at which point the model can stop.",Ye,x,Qt,Je,D,Xt="In other words, an LLM will decode text until it reaches the EOS. But what happens during a single decoding loop?",Ke,N,Zt="While the full process can be quite technical for the purpose of learning agents, here’s a brief overview:",Qe,V,en="<li>Once the input text is <strong>tokenized</strong>, the model computes a dense representation of the words that captures both the meaning and the position of each token in the input sequence.</li> <li>This dense representation goes into the model and outputs scores ranking the likelihood of each token in its vocabulary being next in the sequence.</li>",Xe,M,tn,Ze,Y,nn="<li><p>Once out of the model, we have multiple strategies to select the tokens to complete the sentence.</p></li> <li><p>The most naive decoding strategy would be to always take the word with the maximum score.</p></li>",et,J,ln="You can interract with the decoding process yourself with SmollLM2 in this space (remember, it decodes untill reaching an <strong>EOS</strong> token which is  <strong>&lt;|im_end|&gt;</strong> for this model):",tt,p,sn,nt,K,on='If you want to know more about decoding, you can take a look at the <a href="https://huggingface.co/learn/nlp-course" rel="nofollow">NLP course</a>.',it,Q,rn="But there are also more advanced decoding strategies. Fore example, <em>beam search</em> explores multiple candidate sequences to find the one with the maximum total score—even if some individual tokens have lower scores.",lt,h,an,st,X,ot,Z,un=`A key aspect of the Transformer architecture is <strong>Attention</strong>. When predicting the next word,
not every word in a sentence is equally important; words like “France” and “capital” in the sentence <em>“The capital of France is …”</em> carry the most meaning.`,rt,T,dn,at,ee,pn="Although the basic principle of LLMs—predicting the next token—has remained consistent since GPT-2, there have been significant advancements in scaling neural networks and refining attention mechanisms.",ut,te,hn="If you’ve interacted with LLMs, you’re probably familiar with the term <em>context length</em>, which refers to the maximum number of tokens the LLM can process.",dt,ne,pt,ie,gn="Considering that the only job of an LLM is to predict the next token by looking at every input token, and to chose which are “important” to decode what the next word should be, the wording of your input token is very important.",ht,le,mn="This called a prompt in LLM and will <strong>allow to guide the generation of the LLM toward the desired output</strong>.",gt,se,mt,oe,fn="LLMs are trained on large datasets of text, where they learn to predict the next word in a sequence through a self-supervised or masked language modeling objective.",ft,re,cn="From this unsupervised learning, the model learns the structure of the language and <strong>underlying patterns in text allowing to generalize on unseen data</strong>.",ct,ae,vn="Following this, LLMs can be fine-tuned on a supervised learning objective to perform specific tasks. For example, some are trained for conversational structures or tool usage, while others focus on classification or code generation.",vt,ue,Lt,de,Ln="You have two main options:",wt,pe,wn="<li><p><strong>Run Locally</strong> (if you have sufficient hardware).</p></li> <li><p><strong>Use a Cloud/API</strong> (e.g., via the Hugging Face API).</p></li>",xt,he,xn="Throughout this course, we will primarily use models via APIs on the Hugging Face Hub. Later on, we will explore how to run these models locally on your hardware.",Mt,ge,Tt,me,Mn="LLMs are a key component of AI Agents, <strong>providing the foundation for understanding and generating human language</strong>.",bt,fe,Tn="They can interpret user instructions, maintain context in conversations, define a plan and decide which tools to use.",Ct,ce,bn="We will explore these steps in more detail in this Unit, but for now, what you need to understand is that LLM is <strong>the brain of the Agent</strong>.",_t,ve,Cn="That was a lot of information! We’ve covered the basics of what LLMs are, how they function, and their role in powering AI agents.",$t,Le,_n='If you’d like to dive even deeper into the fascinating world of language models and natural language processing, don’t hesitate to check out our <a href="https://huggingface.co/learn/nlp-course/chapter1/1" rel="nofollow">free NLP course</a>.',yt,we,$n="Now that we understand how LLMs function, it’s time to see <strong>how these LLM models structure their generations in a conversational context</strong>.",kt,xe,Ht,be,Pt;return C=new b({props:{title:"What are LLMs?",local:"what-are-llms",headingTag:"h1"}}),H=new b({props:{title:"What is a Large Language Model?",local:"what-is-a-large-language-model",headingTag:"h2"}}),W=new b({props:{title:"Understanding next token prediction.",local:"understanding-next-token-prediction",headingTag:"h2"}}),X=new b({props:{title:"Attention is all you need",local:"attention-is-all-you-need",headingTag:"h2"}}),ne=new b({props:{title:"Prompting the LLM is important",local:"prompting-the-llm-is-important",headingTag:"h2"}}),se=new b({props:{title:"How do LLMs learn?",local:"how-do-llms-learn",headingTag:"h2"}}),ue=new b({props:{title:"How can I use LLMs?",local:"how-can-i-use-llms",headingTag:"h2"}}),ge=new b({props:{title:"How are LLMs used in AI Agents?",local:"how-are-llms-used-in-ai-agents",headingTag:"h2"}}),xe=new Sn({props:{source:"https://github.com/huggingface/agents-course/blob/main/units/en/unit1/what-are-llms.mdx"}}),{c(){g=o("meta"),_e=l(),Te=o("p"),$e=l(),m(C.$$.fragment),ye=l(),_=o("img"),ke=l(),$=o("p"),$.innerHTML=It,He=l(),y=o("p"),y.textContent=qt,Pe=l(),k=o("p"),k.innerHTML=Ft,Ae=l(),m(H.$$.fragment),Ee=l(),P=o("p"),P.innerHTML=St,Ie=l(),A=o("p"),A.innerHTML=Gt,qe=l(),E=o("figure"),E.innerHTML=zt,Fe=l(),I=o("p"),I.textContent=Rt,Se=l(),q=o("ol"),q.innerHTML=jt,Ge=l(),F=o("p"),F.textContent=Ot,ze=l(),S=o("table"),S.innerHTML=Ut,Re=l(),G=o("p"),G.innerHTML=Wt,je=l(),z=o("p"),z.textContent=Bt,Oe=l(),R=o("p"),R.textContent=Dt,Ue=l(),j=o("p"),j.textContent=Nt,We=l(),d=o("iframe"),Be=l(),O=o("p"),O.innerHTML=Yt,De=l(),U=o("table"),U.innerHTML=Jt,Ne=l(),m(W.$$.fragment),Ve=l(),B=o("p"),B.innerHTML=Kt,Ye=l(),x=o("img"),Je=l(),D=o("p"),D.textContent=Xt,Ke=l(),N=o("p"),N.textContent=Zt,Qe=l(),V=o("ul"),V.innerHTML=en,Xe=l(),M=o("img"),Ze=l(),Y=o("ul"),Y.innerHTML=nn,et=l(),J=o("p"),J.innerHTML=ln,tt=l(),p=o("iframe"),nt=l(),K=o("p"),K.innerHTML=on,it=l(),Q=o("p"),Q.innerHTML=rn,lt=l(),h=o("iframe"),st=l(),m(X.$$.fragment),ot=l(),Z=o("p"),Z.innerHTML=un,rt=l(),T=o("img"),at=En(`
This process of identifying the most relevant words to predict the next token has proven to be incredibly effective.
`),ee=o("p"),ee.textContent=pn,ut=l(),te=o("p"),te.innerHTML=hn,dt=l(),m(ne.$$.fragment),pt=l(),ie=o("p"),ie.textContent=gn,ht=l(),le=o("p"),le.innerHTML=mn,gt=l(),m(se.$$.fragment),mt=l(),oe=o("p"),oe.textContent=fn,ft=l(),re=o("p"),re.innerHTML=cn,ct=l(),ae=o("p"),ae.textContent=vn,vt=l(),m(ue.$$.fragment),Lt=l(),de=o("p"),de.textContent=Ln,wt=l(),pe=o("ol"),pe.innerHTML=wn,xt=l(),he=o("p"),he.textContent=xn,Mt=l(),m(ge.$$.fragment),Tt=l(),me=o("p"),me.innerHTML=Mn,bt=l(),fe=o("p"),fe.textContent=Tn,Ct=l(),ce=o("p"),ce.innerHTML=bn,_t=l(),ve=o("p"),ve.textContent=Cn,$t=l(),Le=o("p"),Le.innerHTML=_n,yt=l(),we=o("p"),we.innerHTML=$n,kt=l(),m(xe.$$.fragment),Ht=l(),be=o("p"),this.h()},l(e){const t=In("svelte-u9bgzb",document.head);g=r(t,"META",{name:!0,content:!0}),t.forEach(n),_e=s(e),Te=r(e,"P",{}),Ce(Te).forEach(n),$e=s(e),f(C.$$.fragment,e),ye=s(e),_=r(e,"IMG",{src:!0,alt:!0}),ke=s(e),$=r(e,"P",{"data-svelte-h":!0}),a($)!=="svelte-ls6dvi"&&($.innerHTML=It),He=s(e),y=r(e,"P",{"data-svelte-h":!0}),a(y)!=="svelte-11qea0p"&&(y.textContent=qt),Pe=s(e),k=r(e,"P",{"data-svelte-h":!0}),a(k)!=="svelte-19dntau"&&(k.innerHTML=Ft),Ae=s(e),f(H.$$.fragment,e),Ee=s(e),P=r(e,"P",{"data-svelte-h":!0}),a(P)!=="svelte-l7ifjk"&&(P.innerHTML=St),Ie=s(e),A=r(e,"P",{"data-svelte-h":!0}),a(A)!=="svelte-eaxvik"&&(A.innerHTML=Gt),qe=s(e),E=r(e,"FIGURE",{"data-svelte-h":!0}),a(E)!=="svelte-7ldyda"&&(E.innerHTML=zt),Fe=s(e),I=r(e,"P",{"data-svelte-h":!0}),a(I)!=="svelte-18lb9v9"&&(I.textContent=Rt),Se=s(e),q=r(e,"OL",{"data-svelte-h":!0}),a(q)!=="svelte-1onjdk1"&&(q.innerHTML=jt),Ge=s(e),F=r(e,"P",{"data-svelte-h":!0}),a(F)!=="svelte-1u3rbhx"&&(F.textContent=Ot),ze=s(e),S=r(e,"TABLE",{"data-svelte-h":!0}),a(S)!=="svelte-1yqbyit"&&(S.innerHTML=Ut),Re=s(e),G=r(e,"P",{"data-svelte-h":!0}),a(G)!=="svelte-6agcjf"&&(G.innerHTML=Wt),je=s(e),z=r(e,"P",{"data-svelte-h":!0}),a(z)!=="svelte-1hsacn8"&&(z.textContent=Bt),Oe=s(e),R=r(e,"P",{"data-svelte-h":!0}),a(R)!=="svelte-c9e95p"&&(R.textContent=Dt),Ue=s(e),j=r(e,"P",{"data-svelte-h":!0}),a(j)!=="svelte-3xrazl"&&(j.textContent=Nt),We=s(e),d=r(e,"IFRAME",{src:!0,frameborder:!0,width:!0,height:!0}),Ce(d).forEach(n),Be=s(e),O=r(e,"P",{"data-svelte-h":!0}),a(O)!=="svelte-ojig0v"&&(O.innerHTML=Yt),De=s(e),U=r(e,"TABLE",{"data-svelte-h":!0}),a(U)!=="svelte-lkez5u"&&(U.innerHTML=Jt),Ne=s(e),f(W.$$.fragment,e),Ve=s(e),B=r(e,"P",{"data-svelte-h":!0}),a(B)!=="svelte-1lio3tg"&&(B.innerHTML=Kt),Ye=s(e),x=r(e,"IMG",{src:!0,alt:!0,width:!0}),Je=s(e),D=r(e,"P",{"data-svelte-h":!0}),a(D)!=="svelte-2b336t"&&(D.textContent=Xt),Ke=s(e),N=r(e,"P",{"data-svelte-h":!0}),a(N)!=="svelte-1nrwqur"&&(N.textContent=Zt),Qe=s(e),V=r(e,"UL",{"data-svelte-h":!0}),a(V)!=="svelte-19ec8ql"&&(V.innerHTML=en),Xe=s(e),M=r(e,"IMG",{src:!0,alt:!0,width:!0}),Ze=s(e),Y=r(e,"UL",{"data-svelte-h":!0}),a(Y)!=="svelte-tb8io1"&&(Y.innerHTML=nn),et=s(e),J=r(e,"P",{"data-svelte-h":!0}),a(J)!=="svelte-1xpg5dp"&&(J.innerHTML=ln),tt=s(e),p=r(e,"IFRAME",{src:!0,frameborder:!0,width:!0,height:!0}),Ce(p).forEach(n),nt=s(e),K=r(e,"P",{"data-svelte-h":!0}),a(K)!=="svelte-92nau4"&&(K.innerHTML=on),it=s(e),Q=r(e,"P",{"data-svelte-h":!0}),a(Q)!=="svelte-5f64i"&&(Q.innerHTML=rn),lt=s(e),h=r(e,"IFRAME",{src:!0,frameborder:!0,width:!0,height:!0}),Ce(h).forEach(n),st=s(e),f(X.$$.fragment,e),ot=s(e),Z=r(e,"P",{"data-svelte-h":!0}),a(Z)!=="svelte-pndgar"&&(Z.innerHTML=un),rt=s(e),T=r(e,"IMG",{src:!0,alt:!0,width:!0}),at=qn(e,`
This process of identifying the most relevant words to predict the next token has proven to be incredibly effective.
`),ee=r(e,"P",{"data-svelte-h":!0}),a(ee)!=="svelte-1qtxx9c"&&(ee.textContent=pn),ut=s(e),te=r(e,"P",{"data-svelte-h":!0}),a(te)!=="svelte-1iijiva"&&(te.innerHTML=hn),dt=s(e),f(ne.$$.fragment,e),pt=s(e),ie=r(e,"P",{"data-svelte-h":!0}),a(ie)!=="svelte-yllat8"&&(ie.textContent=gn),ht=s(e),le=r(e,"P",{"data-svelte-h":!0}),a(le)!=="svelte-18m1ldd"&&(le.innerHTML=mn),gt=s(e),f(se.$$.fragment,e),mt=s(e),oe=r(e,"P",{"data-svelte-h":!0}),a(oe)!=="svelte-1ouwtwv"&&(oe.textContent=fn),ft=s(e),re=r(e,"P",{"data-svelte-h":!0}),a(re)!=="svelte-11fbalb"&&(re.innerHTML=cn),ct=s(e),ae=r(e,"P",{"data-svelte-h":!0}),a(ae)!=="svelte-oz33ds"&&(ae.textContent=vn),vt=s(e),f(ue.$$.fragment,e),Lt=s(e),de=r(e,"P",{"data-svelte-h":!0}),a(de)!=="svelte-8ww3l6"&&(de.textContent=Ln),wt=s(e),pe=r(e,"OL",{"data-svelte-h":!0}),a(pe)!=="svelte-s4asde"&&(pe.innerHTML=wn),xt=s(e),he=r(e,"P",{"data-svelte-h":!0}),a(he)!=="svelte-1v5f3ub"&&(he.textContent=xn),Mt=s(e),f(ge.$$.fragment,e),Tt=s(e),me=r(e,"P",{"data-svelte-h":!0}),a(me)!=="svelte-v8qzt8"&&(me.innerHTML=Mn),bt=s(e),fe=r(e,"P",{"data-svelte-h":!0}),a(fe)!=="svelte-1g2dn56"&&(fe.textContent=Tn),Ct=s(e),ce=r(e,"P",{"data-svelte-h":!0}),a(ce)!=="svelte-1p0b1ca"&&(ce.innerHTML=bn),_t=s(e),ve=r(e,"P",{"data-svelte-h":!0}),a(ve)!=="svelte-1xw1xo4"&&(ve.textContent=Cn),$t=s(e),Le=r(e,"P",{"data-svelte-h":!0}),a(Le)!=="svelte-1lcfpz8"&&(Le.innerHTML=_n),yt=s(e),we=r(e,"P",{"data-svelte-h":!0}),a(we)!=="svelte-18vudd9"&&(we.innerHTML=$n),kt=s(e),f(xe.$$.fragment,e),Ht=s(e),be=r(e,"P",{}),Ce(be).forEach(n),this.h()},h(){u(g,"name","hf:doc:metadata"),u(g,"content",zn),Me(_.src,Et="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit1/whiteboard-check-1.jpg")||u(_,"src",Et),u(_,"alt","Unit 1 planning"),Me(d.src,Vt="https://xenova-the-tokenizer-playground.static.hf.space")||u(d,"src",Vt),u(d,"frameborder","0"),u(d,"width","850"),u(d,"height","450"),Me(x.src,Qt="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit1/AutoregressionFinal.gif")||u(x,"src",Qt),u(x,"alt","Visual Gif of autoregressive decoding"),u(x,"width","60%"),Me(M.src,tn="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit1/DecodingFinal.gif")||u(M,"src",tn),u(M,"alt","Visual Gif of decoding"),u(M,"width","60%"),Me(p.src,sn="https://jofthomas-decoding-visualizer.hf.space")||u(p,"src",sn),u(p,"frameborder","0"),u(p,"width","850"),u(p,"height","450"),Me(h.src,an="https://m-ric-beam-search-visualizer.hf.space")||u(h,"src",an),u(h,"frameborder","0"),u(h,"width","850"),u(h,"height","450"),Me(T.src,dn="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit1/AttentionSceneFinal.gif")||u(T,"src",dn),u(T,"alt","Visual Gif of Attention"),u(T,"width","60%")},m(e,t){Fn(document.head,g),i(e,_e,t),i(e,Te,t),i(e,$e,t),c(C,e,t),i(e,ye,t),i(e,_,t),i(e,ke,t),i(e,$,t),i(e,He,t),i(e,y,t),i(e,Pe,t),i(e,k,t),i(e,Ae,t),c(H,e,t),i(e,Ee,t),i(e,P,t),i(e,Ie,t),i(e,A,t),i(e,qe,t),i(e,E,t),i(e,Fe,t),i(e,I,t),i(e,Se,t),i(e,q,t),i(e,Ge,t),i(e,F,t),i(e,ze,t),i(e,S,t),i(e,Re,t),i(e,G,t),i(e,je,t),i(e,z,t),i(e,Oe,t),i(e,R,t),i(e,Ue,t),i(e,j,t),i(e,We,t),i(e,d,t),i(e,Be,t),i(e,O,t),i(e,De,t),i(e,U,t),i(e,Ne,t),c(W,e,t),i(e,Ve,t),i(e,B,t),i(e,Ye,t),i(e,x,t),i(e,Je,t),i(e,D,t),i(e,Ke,t),i(e,N,t),i(e,Qe,t),i(e,V,t),i(e,Xe,t),i(e,M,t),i(e,Ze,t),i(e,Y,t),i(e,et,t),i(e,J,t),i(e,tt,t),i(e,p,t),i(e,nt,t),i(e,K,t),i(e,it,t),i(e,Q,t),i(e,lt,t),i(e,h,t),i(e,st,t),c(X,e,t),i(e,ot,t),i(e,Z,t),i(e,rt,t),i(e,T,t),i(e,at,t),i(e,ee,t),i(e,ut,t),i(e,te,t),i(e,dt,t),c(ne,e,t),i(e,pt,t),i(e,ie,t),i(e,ht,t),i(e,le,t),i(e,gt,t),c(se,e,t),i(e,mt,t),i(e,oe,t),i(e,ft,t),i(e,re,t),i(e,ct,t),i(e,ae,t),i(e,vt,t),c(ue,e,t),i(e,Lt,t),i(e,de,t),i(e,wt,t),i(e,pe,t),i(e,xt,t),i(e,he,t),i(e,Mt,t),c(ge,e,t),i(e,Tt,t),i(e,me,t),i(e,bt,t),i(e,fe,t),i(e,Ct,t),i(e,ce,t),i(e,_t,t),i(e,ve,t),i(e,$t,t),i(e,Le,t),i(e,yt,t),i(e,we,t),i(e,kt,t),c(xe,e,t),i(e,Ht,t),i(e,be,t),Pt=!0},p:kn,i(e){Pt||(v(C.$$.fragment,e),v(H.$$.fragment,e),v(W.$$.fragment,e),v(X.$$.fragment,e),v(ne.$$.fragment,e),v(se.$$.fragment,e),v(ue.$$.fragment,e),v(ge.$$.fragment,e),v(xe.$$.fragment,e),Pt=!0)},o(e){L(C.$$.fragment,e),L(H.$$.fragment,e),L(W.$$.fragment,e),L(X.$$.fragment,e),L(ne.$$.fragment,e),L(se.$$.fragment,e),L(ue.$$.fragment,e),L(ge.$$.fragment,e),L(xe.$$.fragment,e),Pt=!1},d(e){e&&(n(_e),n(Te),n($e),n(ye),n(_),n(ke),n($),n(He),n(y),n(Pe),n(k),n(Ae),n(Ee),n(P),n(Ie),n(A),n(qe),n(E),n(Fe),n(I),n(Se),n(q),n(Ge),n(F),n(ze),n(S),n(Re),n(G),n(je),n(z),n(Oe),n(R),n(Ue),n(j),n(We),n(d),n(Be),n(O),n(De),n(U),n(Ne),n(Ve),n(B),n(Ye),n(x),n(Je),n(D),n(Ke),n(N),n(Qe),n(V),n(Xe),n(M),n(Ze),n(Y),n(et),n(J),n(tt),n(p),n(nt),n(K),n(it),n(Q),n(lt),n(h),n(st),n(ot),n(Z),n(rt),n(T),n(at),n(ee),n(ut),n(te),n(dt),n(pt),n(ie),n(ht),n(le),n(gt),n(mt),n(oe),n(ft),n(re),n(ct),n(ae),n(vt),n(Lt),n(de),n(wt),n(pe),n(xt),n(he),n(Mt),n(Tt),n(me),n(bt),n(fe),n(Ct),n(ce),n(_t),n(ve),n($t),n(Le),n(yt),n(we),n(kt),n(Ht),n(be)),n(g),w(C,e),w(H,e),w(W,e),w(X,e),w(ne,e),w(se,e),w(ue,e),w(ge,e),w(xe,e)}}}const zn='{"title":"What are LLMs?","local":"what-are-llms","sections":[{"title":"What is a Large Language Model?","local":"what-is-a-large-language-model","sections":[],"depth":2},{"title":"Understanding next token prediction.","local":"understanding-next-token-prediction","sections":[],"depth":2},{"title":"Attention is all you need","local":"attention-is-all-you-need","sections":[],"depth":2},{"title":"Prompting the LLM is important","local":"prompting-the-llm-is-important","sections":[],"depth":2},{"title":"How do LLMs learn?","local":"how-do-llms-learn","sections":[],"depth":2},{"title":"How can I use LLMs?","local":"how-can-i-use-llms","sections":[],"depth":2},{"title":"How are LLMs used in AI Agents?","local":"how-are-llms-used-in-ai-agents","sections":[],"depth":2}],"depth":1}';function Rn(At){return Hn(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Bn extends Pn{constructor(g){super(),An(this,g,Rn,Gn,yn,{})}}export{Bn as component};
