import{s as zn,f as ke,n as Rn,o as On}from"../chunks/scheduler.f6b352c8.js";import{S as Nn,i as Xn,g as o,s as l,r as f,A as Yn,h as a,f as n,c as s,j as Jn,u as m,x as r,k as u,y as Qn,a as i,v as h,d as g,t as p,w as d}from"../chunks/index.7f38e934.js";import{H as c}from"../chunks/Heading.333929c4.js";import{E as Vn}from"../chunks/EditOnGithub.c3245a01.js";function Kn(Ot){let w,Ie,Pe,je,x,qe,L,Nt='<img src="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit0/thumbnail.jpg" alt="AI Agents Course thumbnail" width="100%"/> <figcaption>The background of the image was generated using <a href="https://scenario.com/">Scenario.com</a></figcaption>',Ue,C,Xt="Welcome to the most exciting topic in AI today: <strong>Agents</strong>!",Fe,H,Yt="This free course will take you on a journey, <strong>from beginner to expert</strong>, in understanding, using and building AI agents.",Se,M,Qt="This first unit will help you onboard:",We,_,Vt="<li>Discover the <strong>course’s syllabus</strong>.</li> <li><strong>Choose the path</strong> you’re going to take (either self-audit or certification process).</li> <li><strong>Get more information about the certification process and the deadlines</strong>.</li> <li>Get to know the team behind the course.</li> <li>Create your <strong>Hugging Face account</strong>.</li> <li><strong>Sign-up to our Discord server</strong>, and meet your classmates and us.</li>",Ee,P,Kt="Let’s get started!",Be,A,Ge,k,Zt="In this course, you will:",De,I,en='<li>📖 Study AI Agents in <strong>theory, design, and practice.</strong></li> <li>🧑‍💻 Learn to <strong>use established AI Agent libraries</strong> such as <a href="https://huggingface.co/docs/smolagents/en/index" rel="nofollow">smolagents</a>, <a href="https://www.langchain.com/" rel="nofollow">LangChain</a>, and <a href="https://www.llamaindex.ai/" rel="nofollow">LlamaIndex</a>.</li> <li>💾 <strong>Share your agents</strong> on the Hugging Face Hub and explore agents created by the community.</li> <li>🏆 Participate in challenges where you will <strong>evaluate your agents against other students’.</strong></li> <li>🎓 <strong>Earn a certificate of completion</strong> by completing assignments.</li>',Je,j,tn="And more!",ze,q,nn="At the end of this course you’ll understand <strong>how Agents work and how to build your own Agents using the latest libraries and tools</strong>.",Re,U,ln='Don’t forget to <strong><a href="https://bit.ly/hf-learn-agents">sign up to the course!</a></strong>',Oe,F,sn="(We are respectful of your privacy. We collect your email address to be able to <strong>send you the links when each Unit is published and give you information about the challenges and updates).</strong>",Ne,S,on='Sign up  👉 <a href="https://bit.ly/hf-learn-agents">here</a>',Xe,W,Ye,E,an="The course is composed of:",Qe,B,rn='<li><em>Foundational Units</em>: where you learn Agents <strong>concepts in theory</strong>.</li> <li><em>Hands-on</em>: where you’ll learn <strong>to use established AI Agent libraries</strong> to train your agents in unique environments. These hands-on sections will be <strong>Hugging Face Spaces</strong> with a pre-configured environment.</li> <li><em>Use case assignments</em>: where you’ll apply the concepts you’ve learned to solve a real-world problem that you’ll choose.</li> <li><em>The Challenge</em>: you’ll get to put your agent to compete against other agents in a challenge. There will also be <a href="https://huggingface.co/spaces/huggingface-projects/AI-Agents-Leaderboard" rel="nofollow">a leaderboard</a> (not available yet) for you to compare the agents’ performance.</li>',Ve,G,un='This <strong>course is a living project, evolving with your feedback and contributions!</strong> Feel free to <a href="https://github.com/huggingface/agents-course" rel="nofollow">open issues and PRs in GitHub</a>, and engage in discussions in our Discord server.',Ke,D,fn='After you have gone through the course, you can also send your feedback  <a href="https://docs.google.com/forms/d/e/1FAIpQLSe9VaONn0eglax0uTwi29rIn4tM7H2sYmmybmG5jJNlE5v0xA/viewform?usp=dialog" rel="nofollow">👉 using this form</a>',Ze,J,et,z,mn="Here is the <strong>general syllabus for the course</strong>. A more detailed list of topics will be released with each unit.",tt,R,hn='<thead><tr><th align="left">Chapter</th> <th align="left">Topic</th> <th align="left">Description</th></tr></thead> <tbody><tr><td align="left">0</td> <td align="left">Onboarding</td> <td align="left">Set you up with the tools and platforms that you will use.</td></tr> <tr><td align="left">1</td> <td align="left">Agent Fundamentals</td> <td align="left">Explain Tools, Thoughts, Actions, Observations, and their formats. Explain LLMs, messages, special tokens and chat templates. Show a simple use case using python functions as tools.</td></tr> <tr><td align="left">2</td> <td align="left">Frameworks</td> <td align="left">Understand how the fundamentals are implemented in popular libraries : smolagents, LangGraph, LLamaIndex</td></tr> <tr><td align="left">3</td> <td align="left">Use Cases</td> <td align="left">Let’s build some real life use cases ( open to PRs 🤗 from experienced Agent builders )</td></tr> <tr><td align="left">4</td> <td align="left">Final Assignment</td> <td align="left">Build an agent for a selected benchmark and prove your understanding of Agents on the student leaderboard  🚀</td></tr></tbody>',nt,O,gn="<em>We are also planning to release some bonus units, stay tuned!</em>",it,N,lt,X,pn="To be able to follow this course you should have a:",st,Y,dn="<li>Basic knowledge of Python</li> <li>Basic knowledge of LLMs (we have a section in Unit 1 to recap what they are)</li>",ot,Q,at,V,cn="You only need 2 things:",rt,K,wn='<li><em>A computer</em> with an internet connection.</li> <li>A <em>Hugging Face Account</em>: to push and load models, agents, and create Spaces. If you don’t have an account yet, you can create one <strong><a href="https://hf.co/join" rel="nofollow">here</a></strong> (it’s free).<img src="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit0/tools.jpg" alt="Course tools needed" width="100%"/></li>',ut,Z,ft,v,vn,mt,ee,$n="You can choose to follow this course <em>in audit mode</em>, or do the activities and <em>get one of the two certificates we’ll issue</em>.",ht,te,yn="If you audit the course, you can participate in all the challenges and do assignments if you want, and <strong>you don’t need to notify us</strong>.",gt,ne,Tn="The certification process is <strong>completely free</strong>:",pt,ie,bn="<li><em>To get a certification for fundamentals</em>: you need to complete Unit 1 of the course. This is intended for students that want to get up to date with the latest trends in Agents.</li> <li><em>To get a certificate of completion</em>: you need to complete Unit 1, one of the use case assignments we’ll propose during the course, and the final challenge.</li>",dt,le,xn="There’s a deadline for the certification process: all the assignments must be finished before <strong>May 1st 2025</strong>.",ct,$,Ln,wt,se,vt,oe,Cn="Each chapter in this course is designed <strong>to be completed in 1 week, with approximately 3-4 hours of work per week</strong>.",$t,ae,Hn="Since there’s a deadline, we provide you a recommended pace:",yt,y,Mn,Tt,re,bt,ue,_n="To get the most out of the course, we have some advice:",xt,fe,Pn='<li><a href="https://discord.gg/UrrTSsSyjb">Join study groups in Discord</a>: studying in groups is always easier. To do that, you need to join our discord server and verify your Hugging Face account.</li> <li><strong>Do the quizzes and assignments</strong>: the best way to learn is through hands-on practice and self-assessment..</li> <li><strong>Define a schedule to stay in sync</strong>: you can use our recommended pace schedule below or create yours.</li>',Lt,T,An,Ct,me,Ht,he,kn="About the authors:",Mt,ge,_t,pe,In="Joffrey is a machine learning engineer at Hugging Face and has built and deployed AI Agents in production. Joffrey will be your main instructor for this course.",Pt,de,jn='<li><a href="https://x.com/Jthmas404" rel="nofollow">Follow Joffrey on X</a></li> <li><a href="https://www.linkedin.com/in/joffrey-thomas/" rel="nofollow">Follow Joffrey on Linkedin</a></li>',At,ce,kt,we,qn="Ben is a machine learning engineer at Hugging Face and has delivered multiple courses across various platforms. Ben’s goal is to make the course accessible to everyone.",It,ve,Un='<li><a href="https://x.com/ben_burtenshaw" rel="nofollow">Follow Ben on X</a></li> <li><a href="https://www.linkedin.com/in/ben-burtenshaw/" rel="nofollow">Follow Ben on Linkedin</a></li>',jt,$e,qt,ye,Fn='Thomas is a machine learning engineer at Hugging Face and delivered the successful <a href="https://huggingface.co/learn/deep-rl-course/unit0/introduction">Deep RL</a> and <a href="https://huggingface.co/learn/ml-games-course/en/unit0/introduction">ML for games</a> courses. Thomas is a big fan of Agents and is excited to see what the community will build.',Ut,Te,Sn='<li><a href="https://x.com/ThomasSimonini" rel="nofollow">Follow Thomas on X</a></li> <li><a href="https://www.linkedin.com/in/simoninithomas/" rel="nofollow">Follow Thomas on Linkedin</a></li>',Ft,be,St,xe,Wn="Contributions are <strong>welcome</strong> 🤗",Wt,Le,En='<li>If you <em>found a bug 🐛 in a notebook</em>, please <a href="https://github.com/huggingface/agents-course/issues">open an issue</a> and <strong>describe the problem</strong>.</li> <li>If you <em>want to improve the course</em>, you can <a href="https://github.com/huggingface/agents-course/pulls">open a Pull Request.</a></li> <li>If you <em>want to add a full section or a new unit</em>, the best is to <a href="https://github.com/huggingface/agents-course/issues">open an issue</a> and <strong>describe what content you want to add before starting to write it so that we can guide you</strong>.</li>',Et,Ce,Bt,He,Bn='Please ask your question in our <a href="https://discord.gg/UrrTSsSyjb">discord server #ai-agents-discussions.</a>',Gt,Me,Gn="Now that you have all the information, let’s get on board ⛵",Dt,b,Dn,Jt,_e,zt,Ae,Rt;return x=new c({props:{title:"Welcome to the 🤗 AI Agents Course",local:"introduction",headingTag:"h1"}}),A=new c({props:{title:"What to expect from this course?",local:"expect",headingTag:"h2"}}),W=new c({props:{title:"What does the course look like?",local:"course-look-like",headingTag:"h2"}}),J=new c({props:{title:"What’s the syllabus?",local:"syllabus",headingTag:"h2"}}),N=new c({props:{title:"What are the prerequisites?",local:"what-are-the-prerequisites",headingTag:"h2"}}),Q=new c({props:{title:"What tools do I need?",local:"tools",headingTag:"h2"}}),Z=new c({props:{title:"The Certification Process",local:"certification-process",headingTag:"h2"}}),se=new c({props:{title:"What is the recommended pace?",local:"recommended-pace",headingTag:"h2"}}),re=new c({props:{title:"How to get the most out of the course?",local:"advice",headingTag:"h2"}}),me=new c({props:{title:"Who are we",local:"who-are-we",headingTag:"h2"}}),ge=new c({props:{title:"Joffrey Thomas",local:"joffrey-thomas",headingTag:"h3"}}),ce=new c({props:{title:"Ben Burtenshaw",local:"ben-burtenshaw",headingTag:"h3"}}),$e=new c({props:{title:"Thomas Simonini",local:"thomas-simonini",headingTag:"h3"}}),be=new c({props:{title:"I found a bug, or I want to improve the course",local:"contribute",headingTag:"h2"}}),Ce=new c({props:{title:"I still have questions",local:"questions",headingTag:"h2"}}),_e=new Vn({props:{source:"https://github.com/huggingface/agents-course/blob/main/units/en/unit0/introduction.mdx"}}),{c(){w=o("meta"),Ie=l(),Pe=o("p"),je=l(),f(x.$$.fragment),qe=l(),L=o("figure"),L.innerHTML=Nt,Ue=l(),C=o("p"),C.innerHTML=Xt,Fe=l(),H=o("p"),H.innerHTML=Yt,Se=l(),M=o("p"),M.textContent=Qt,We=l(),_=o("ul"),_.innerHTML=Vt,Ee=l(),P=o("p"),P.textContent=Kt,Be=l(),f(A.$$.fragment),Ge=l(),k=o("p"),k.textContent=Zt,De=l(),I=o("ul"),I.innerHTML=en,Je=l(),j=o("p"),j.textContent=tn,ze=l(),q=o("p"),q.innerHTML=nn,Re=l(),U=o("p"),U.innerHTML=ln,Oe=l(),F=o("p"),F.innerHTML=sn,Ne=l(),S=o("p"),S.innerHTML=on,Xe=l(),f(W.$$.fragment),Ye=l(),E=o("p"),E.textContent=an,Qe=l(),B=o("ul"),B.innerHTML=rn,Ve=l(),G=o("p"),G.innerHTML=un,Ke=l(),D=o("p"),D.innerHTML=fn,Ze=l(),f(J.$$.fragment),et=l(),z=o("p"),z.innerHTML=mn,tt=l(),R=o("table"),R.innerHTML=hn,nt=l(),O=o("p"),O.innerHTML=gn,it=l(),f(N.$$.fragment),lt=l(),X=o("p"),X.textContent=pn,st=l(),Y=o("ul"),Y.innerHTML=dn,ot=l(),f(Q.$$.fragment),at=l(),V=o("p"),V.textContent=cn,rt=l(),K=o("ul"),K.innerHTML=wn,ut=l(),f(Z.$$.fragment),ft=l(),v=o("img"),mt=l(),ee=o("p"),ee.innerHTML=$n,ht=l(),te=o("p"),te.innerHTML=yn,gt=l(),ne=o("p"),ne.innerHTML=Tn,pt=l(),ie=o("ul"),ie.innerHTML=bn,dt=l(),le=o("p"),le.innerHTML=xn,ct=l(),$=o("img"),wt=l(),f(se.$$.fragment),vt=l(),oe=o("p"),oe.innerHTML=Cn,$t=l(),ae=o("p"),ae.textContent=Hn,yt=l(),y=o("img"),Tt=l(),f(re.$$.fragment),bt=l(),ue=o("p"),ue.textContent=_n,xt=l(),fe=o("ol"),fe.innerHTML=Pn,Lt=l(),T=o("img"),Ct=l(),f(me.$$.fragment),Ht=l(),he=o("p"),he.textContent=kn,Mt=l(),f(ge.$$.fragment),_t=l(),pe=o("p"),pe.textContent=In,Pt=l(),de=o("ul"),de.innerHTML=jn,At=l(),f(ce.$$.fragment),kt=l(),we=o("p"),we.textContent=qn,It=l(),ve=o("ul"),ve.innerHTML=Un,jt=l(),f($e.$$.fragment),qt=l(),ye=o("p"),ye.innerHTML=Fn,Ut=l(),Te=o("ul"),Te.innerHTML=Sn,Ft=l(),f(be.$$.fragment),St=l(),xe=o("p"),xe.innerHTML=Wn,Wt=l(),Le=o("ul"),Le.innerHTML=En,Et=l(),f(Ce.$$.fragment),Bt=l(),He=o("p"),He.innerHTML=Bn,Gt=l(),Me=o("p"),Me.textContent=Gn,Dt=l(),b=o("img"),Jt=l(),f(_e.$$.fragment),zt=l(),Ae=o("p"),this.h()},l(e){const t=Yn("svelte-u9bgzb",document.head);w=a(t,"META",{name:!0,content:!0}),t.forEach(n),Ie=s(e),Pe=a(e,"P",{}),Jn(Pe).forEach(n),je=s(e),m(x.$$.fragment,e),qe=s(e),L=a(e,"FIGURE",{"data-svelte-h":!0}),r(L)!=="svelte-1e9iu5f"&&(L.innerHTML=Nt),Ue=s(e),C=a(e,"P",{"data-svelte-h":!0}),r(C)!=="svelte-17pu5cl"&&(C.innerHTML=Xt),Fe=s(e),H=a(e,"P",{"data-svelte-h":!0}),r(H)!=="svelte-dvnpj7"&&(H.innerHTML=Yt),Se=s(e),M=a(e,"P",{"data-svelte-h":!0}),r(M)!=="svelte-1csi7fx"&&(M.textContent=Qt),We=s(e),_=a(e,"UL",{"data-svelte-h":!0}),r(_)!=="svelte-ixjw75"&&(_.innerHTML=Vt),Ee=s(e),P=a(e,"P",{"data-svelte-h":!0}),r(P)!=="svelte-4b3xjd"&&(P.textContent=Kt),Be=s(e),m(A.$$.fragment,e),Ge=s(e),k=a(e,"P",{"data-svelte-h":!0}),r(k)!=="svelte-f2qxb3"&&(k.textContent=Zt),De=s(e),I=a(e,"UL",{"data-svelte-h":!0}),r(I)!=="svelte-dt96yw"&&(I.innerHTML=en),Je=s(e),j=a(e,"P",{"data-svelte-h":!0}),r(j)!=="svelte-t67g99"&&(j.textContent=tn),ze=s(e),q=a(e,"P",{"data-svelte-h":!0}),r(q)!=="svelte-rxvjyt"&&(q.innerHTML=nn),Re=s(e),U=a(e,"P",{"data-svelte-h":!0}),r(U)!=="svelte-5ioa44"&&(U.innerHTML=ln),Oe=s(e),F=a(e,"P",{"data-svelte-h":!0}),r(F)!=="svelte-z7umi9"&&(F.innerHTML=sn),Ne=s(e),S=a(e,"P",{"data-svelte-h":!0}),r(S)!=="svelte-1ts9z99"&&(S.innerHTML=on),Xe=s(e),m(W.$$.fragment,e),Ye=s(e),E=a(e,"P",{"data-svelte-h":!0}),r(E)!=="svelte-1ee6w8b"&&(E.textContent=an),Qe=s(e),B=a(e,"UL",{"data-svelte-h":!0}),r(B)!=="svelte-1r4t4vj"&&(B.innerHTML=rn),Ve=s(e),G=a(e,"P",{"data-svelte-h":!0}),r(G)!=="svelte-1bts4d3"&&(G.innerHTML=un),Ke=s(e),D=a(e,"P",{"data-svelte-h":!0}),r(D)!=="svelte-16fokxm"&&(D.innerHTML=fn),Ze=s(e),m(J.$$.fragment,e),et=s(e),z=a(e,"P",{"data-svelte-h":!0}),r(z)!=="svelte-qhjxsa"&&(z.innerHTML=mn),tt=s(e),R=a(e,"TABLE",{"data-svelte-h":!0}),r(R)!=="svelte-1gw18fw"&&(R.innerHTML=hn),nt=s(e),O=a(e,"P",{"data-svelte-h":!0}),r(O)!=="svelte-1aqi5y9"&&(O.innerHTML=gn),it=s(e),m(N.$$.fragment,e),lt=s(e),X=a(e,"P",{"data-svelte-h":!0}),r(X)!=="svelte-kqo70s"&&(X.textContent=pn),st=s(e),Y=a(e,"UL",{"data-svelte-h":!0}),r(Y)!=="svelte-1o8em9l"&&(Y.innerHTML=dn),ot=s(e),m(Q.$$.fragment,e),at=s(e),V=a(e,"P",{"data-svelte-h":!0}),r(V)!=="svelte-17wttjy"&&(V.textContent=cn),rt=s(e),K=a(e,"UL",{"data-svelte-h":!0}),r(K)!=="svelte-l2nc5g"&&(K.innerHTML=wn),ut=s(e),m(Z.$$.fragment,e),ft=s(e),v=a(e,"IMG",{src:!0,alt:!0,width:!0}),mt=s(e),ee=a(e,"P",{"data-svelte-h":!0}),r(ee)!=="svelte-knl2ed"&&(ee.innerHTML=$n),ht=s(e),te=a(e,"P",{"data-svelte-h":!0}),r(te)!=="svelte-1kpr9m4"&&(te.innerHTML=yn),gt=s(e),ne=a(e,"P",{"data-svelte-h":!0}),r(ne)!=="svelte-1ybbpoz"&&(ne.innerHTML=Tn),pt=s(e),ie=a(e,"UL",{"data-svelte-h":!0}),r(ie)!=="svelte-1mkaw8h"&&(ie.innerHTML=bn),dt=s(e),le=a(e,"P",{"data-svelte-h":!0}),r(le)!=="svelte-1roe7pg"&&(le.innerHTML=xn),ct=s(e),$=a(e,"IMG",{src:!0,alt:!0,width:!0}),wt=s(e),m(se.$$.fragment,e),vt=s(e),oe=a(e,"P",{"data-svelte-h":!0}),r(oe)!=="svelte-16x0fhq"&&(oe.innerHTML=Cn),$t=s(e),ae=a(e,"P",{"data-svelte-h":!0}),r(ae)!=="svelte-1emjga4"&&(ae.textContent=Hn),yt=s(e),y=a(e,"IMG",{src:!0,alt:!0,width:!0}),Tt=s(e),m(re.$$.fragment,e),bt=s(e),ue=a(e,"P",{"data-svelte-h":!0}),r(ue)!=="svelte-822ilm"&&(ue.textContent=_n),xt=s(e),fe=a(e,"OL",{"data-svelte-h":!0}),r(fe)!=="svelte-1h04lcm"&&(fe.innerHTML=Pn),Lt=s(e),T=a(e,"IMG",{src:!0,alt:!0,width:!0}),Ct=s(e),m(me.$$.fragment,e),Ht=s(e),he=a(e,"P",{"data-svelte-h":!0}),r(he)!=="svelte-1qyo5w8"&&(he.textContent=kn),Mt=s(e),m(ge.$$.fragment,e),_t=s(e),pe=a(e,"P",{"data-svelte-h":!0}),r(pe)!=="svelte-jk5ik2"&&(pe.textContent=In),Pt=s(e),de=a(e,"UL",{"data-svelte-h":!0}),r(de)!=="svelte-1u6zw05"&&(de.innerHTML=jn),At=s(e),m(ce.$$.fragment,e),kt=s(e),we=a(e,"P",{"data-svelte-h":!0}),r(we)!=="svelte-yjqhaj"&&(we.textContent=qn),It=s(e),ve=a(e,"UL",{"data-svelte-h":!0}),r(ve)!=="svelte-fachn0"&&(ve.innerHTML=Un),jt=s(e),m($e.$$.fragment,e),qt=s(e),ye=a(e,"P",{"data-svelte-h":!0}),r(ye)!=="svelte-10mjr36"&&(ye.innerHTML=Fn),Ut=s(e),Te=a(e,"UL",{"data-svelte-h":!0}),r(Te)!=="svelte-fw4318"&&(Te.innerHTML=Sn),Ft=s(e),m(be.$$.fragment,e),St=s(e),xe=a(e,"P",{"data-svelte-h":!0}),r(xe)!=="svelte-nxego7"&&(xe.innerHTML=Wn),Wt=s(e),Le=a(e,"UL",{"data-svelte-h":!0}),r(Le)!=="svelte-1lujafl"&&(Le.innerHTML=En),Et=s(e),m(Ce.$$.fragment,e),Bt=s(e),He=a(e,"P",{"data-svelte-h":!0}),r(He)!=="svelte-1qqh474"&&(He.innerHTML=Bn),Gt=s(e),Me=a(e,"P",{"data-svelte-h":!0}),r(Me)!=="svelte-gbc6aj"&&(Me.textContent=Gn),Dt=s(e),b=a(e,"IMG",{src:!0,alt:!0,width:!0}),Jt=s(e),m(_e.$$.fragment,e),zt=s(e),Ae=a(e,"P",{}),Jn(Ae).forEach(n),this.h()},h(){u(w,"name","hf:doc:metadata"),u(w,"content",Zn),ke(v.src,vn="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit0/three-paths.jpg")||u(v,"src",vn),u(v,"alt","Two paths"),u(v,"width","100%"),ke($.src,Ln="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit0/deadline.jpg")||u($,"src",Ln),u($,"alt","Deadline"),u($,"width","100%"),ke(y.src,Mn="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit0/recommended-pace.jpg")||u(y,"src",Mn),u(y,"alt","Recommended Pace"),u(y,"width","100%"),ke(T.src,An="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit0/advice.jpg")||u(T,"src",An),u(T,"alt","Course advice"),u(T,"width","100%"),ke(b.src,Dn="https://huggingface.co/datasets/agents-course/course-images/resolve/main/en/unit0/time-to-onboard.jpg")||u(b,"src",Dn),u(b,"alt","Time to Onboard"),u(b,"width","100%")},m(e,t){Qn(document.head,w),i(e,Ie,t),i(e,Pe,t),i(e,je,t),h(x,e,t),i(e,qe,t),i(e,L,t),i(e,Ue,t),i(e,C,t),i(e,Fe,t),i(e,H,t),i(e,Se,t),i(e,M,t),i(e,We,t),i(e,_,t),i(e,Ee,t),i(e,P,t),i(e,Be,t),h(A,e,t),i(e,Ge,t),i(e,k,t),i(e,De,t),i(e,I,t),i(e,Je,t),i(e,j,t),i(e,ze,t),i(e,q,t),i(e,Re,t),i(e,U,t),i(e,Oe,t),i(e,F,t),i(e,Ne,t),i(e,S,t),i(e,Xe,t),h(W,e,t),i(e,Ye,t),i(e,E,t),i(e,Qe,t),i(e,B,t),i(e,Ve,t),i(e,G,t),i(e,Ke,t),i(e,D,t),i(e,Ze,t),h(J,e,t),i(e,et,t),i(e,z,t),i(e,tt,t),i(e,R,t),i(e,nt,t),i(e,O,t),i(e,it,t),h(N,e,t),i(e,lt,t),i(e,X,t),i(e,st,t),i(e,Y,t),i(e,ot,t),h(Q,e,t),i(e,at,t),i(e,V,t),i(e,rt,t),i(e,K,t),i(e,ut,t),h(Z,e,t),i(e,ft,t),i(e,v,t),i(e,mt,t),i(e,ee,t),i(e,ht,t),i(e,te,t),i(e,gt,t),i(e,ne,t),i(e,pt,t),i(e,ie,t),i(e,dt,t),i(e,le,t),i(e,ct,t),i(e,$,t),i(e,wt,t),h(se,e,t),i(e,vt,t),i(e,oe,t),i(e,$t,t),i(e,ae,t),i(e,yt,t),i(e,y,t),i(e,Tt,t),h(re,e,t),i(e,bt,t),i(e,ue,t),i(e,xt,t),i(e,fe,t),i(e,Lt,t),i(e,T,t),i(e,Ct,t),h(me,e,t),i(e,Ht,t),i(e,he,t),i(e,Mt,t),h(ge,e,t),i(e,_t,t),i(e,pe,t),i(e,Pt,t),i(e,de,t),i(e,At,t),h(ce,e,t),i(e,kt,t),i(e,we,t),i(e,It,t),i(e,ve,t),i(e,jt,t),h($e,e,t),i(e,qt,t),i(e,ye,t),i(e,Ut,t),i(e,Te,t),i(e,Ft,t),h(be,e,t),i(e,St,t),i(e,xe,t),i(e,Wt,t),i(e,Le,t),i(e,Et,t),h(Ce,e,t),i(e,Bt,t),i(e,He,t),i(e,Gt,t),i(e,Me,t),i(e,Dt,t),i(e,b,t),i(e,Jt,t),h(_e,e,t),i(e,zt,t),i(e,Ae,t),Rt=!0},p:Rn,i(e){Rt||(g(x.$$.fragment,e),g(A.$$.fragment,e),g(W.$$.fragment,e),g(J.$$.fragment,e),g(N.$$.fragment,e),g(Q.$$.fragment,e),g(Z.$$.fragment,e),g(se.$$.fragment,e),g(re.$$.fragment,e),g(me.$$.fragment,e),g(ge.$$.fragment,e),g(ce.$$.fragment,e),g($e.$$.fragment,e),g(be.$$.fragment,e),g(Ce.$$.fragment,e),g(_e.$$.fragment,e),Rt=!0)},o(e){p(x.$$.fragment,e),p(A.$$.fragment,e),p(W.$$.fragment,e),p(J.$$.fragment,e),p(N.$$.fragment,e),p(Q.$$.fragment,e),p(Z.$$.fragment,e),p(se.$$.fragment,e),p(re.$$.fragment,e),p(me.$$.fragment,e),p(ge.$$.fragment,e),p(ce.$$.fragment,e),p($e.$$.fragment,e),p(be.$$.fragment,e),p(Ce.$$.fragment,e),p(_e.$$.fragment,e),Rt=!1},d(e){e&&(n(Ie),n(Pe),n(je),n(qe),n(L),n(Ue),n(C),n(Fe),n(H),n(Se),n(M),n(We),n(_),n(Ee),n(P),n(Be),n(Ge),n(k),n(De),n(I),n(Je),n(j),n(ze),n(q),n(Re),n(U),n(Oe),n(F),n(Ne),n(S),n(Xe),n(Ye),n(E),n(Qe),n(B),n(Ve),n(G),n(Ke),n(D),n(Ze),n(et),n(z),n(tt),n(R),n(nt),n(O),n(it),n(lt),n(X),n(st),n(Y),n(ot),n(at),n(V),n(rt),n(K),n(ut),n(ft),n(v),n(mt),n(ee),n(ht),n(te),n(gt),n(ne),n(pt),n(ie),n(dt),n(le),n(ct),n($),n(wt),n(vt),n(oe),n($t),n(ae),n(yt),n(y),n(Tt),n(bt),n(ue),n(xt),n(fe),n(Lt),n(T),n(Ct),n(Ht),n(he),n(Mt),n(_t),n(pe),n(Pt),n(de),n(At),n(kt),n(we),n(It),n(ve),n(jt),n(qt),n(ye),n(Ut),n(Te),n(Ft),n(St),n(xe),n(Wt),n(Le),n(Et),n(Bt),n(He),n(Gt),n(Me),n(Dt),n(b),n(Jt),n(zt),n(Ae)),n(w),d(x,e),d(A,e),d(W,e),d(J,e),d(N,e),d(Q,e),d(Z,e),d(se,e),d(re,e),d(me,e),d(ge,e),d(ce,e),d($e,e),d(be,e),d(Ce,e),d(_e,e)}}}const Zn='{"title":"Welcome to the 🤗 AI Agents Course","local":"introduction","sections":[{"title":"What to expect from this course?","local":"expect","sections":[],"depth":2},{"title":"What does the course look like?","local":"course-look-like","sections":[],"depth":2},{"title":"What’s the syllabus?","local":"syllabus","sections":[],"depth":2},{"title":"What are the prerequisites?","local":"what-are-the-prerequisites","sections":[],"depth":2},{"title":"What tools do I need?","local":"tools","sections":[],"depth":2},{"title":"The Certification Process","local":"certification-process","sections":[],"depth":2},{"title":"What is the recommended pace?","local":"recommended-pace","sections":[],"depth":2},{"title":"How to get the most out of the course?","local":"advice","sections":[],"depth":2},{"title":"Who are we","local":"who-are-we","sections":[{"title":"Joffrey Thomas","local":"joffrey-thomas","sections":[],"depth":3},{"title":"Ben Burtenshaw","local":"ben-burtenshaw","sections":[],"depth":3},{"title":"Thomas Simonini","local":"thomas-simonini","sections":[],"depth":3}],"depth":2},{"title":"I found a bug, or I want to improve the course","local":"contribute","sections":[],"depth":2},{"title":"I still have questions","local":"questions","sections":[],"depth":2}],"depth":1}';function ei(Ot){return On(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class si extends Nn{constructor(w){super(),Xn(this,w,ei,Kn,zn,{})}}export{si as component};
